For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
        • GETList Roles
        • POSTCreate Role
        • GETGet Role
        • DELDelete Role
        • PATCHUpdate Role
Logo
Log inBook a demo
API ReferencePermissionsRoles

Delete Role

DELETE
https://app.polytomic.com/api/permissions/roles/:id
DELETE
/api/permissions/roles/:id
$curl -X DELETE https://app.polytomic.com/api/permissions/roles/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
Deletes a permissions role. > 🚧 Built-in system roles (such as Admin and Member) cannot be deleted. > Attempting to delete a system role returns an error. Deleting a role does not automatically remove it from any policies that reference it. Update those policies separately using [`PUT /api/permissions/policies/{id}`](../../../../api-reference/permissions/policies/update) to avoid leaving stale role references.
Was this page helpful?
Previous

Update Role

Next

Deletes a permissions role.

🚧 Built-in system roles (such as Admin and Member) cannot be deleted. Attempting to delete a system role returns an error.

Deleting a role does not automatically remove it from any policies that reference it. Update those policies separately using PUT /api/permissions/policies/{id} to avoid leaving stale role references.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error